<script lang="ts">
import Vue from 'vue';
import { LocalizedHrefMixin } from '~/mixins';
import { generateLayoutMeta } from '~/common/meta';

export default Vue.extend({
  mixins: [LocalizedHrefMixin],
  head() {
    return generateLayoutMeta(this.$route.path, this.$i18n.locale);
  },
});
</script>

<template>
  <div>
    <SlpMinimizedNavigation />
    <Nuxt role="main" />
    <SlpFooter />
  </div>
</template>
